ContentEntry

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Interface ContentEntry

All Known Subinterfaces:
  ContentContainer, ContentItem, ContentResource, StreamableContentResource

All Known Implementing Classes:
  RecordingContentItem

    public interface ContentEntry

This interface represents a basic content entry. Each ContentEntry instance can only be contained in one ContentContainer and the implementation SHALL create a new ContentEntry for equal entries placed in multiple ContentContainer instances.

Method Summary
`boolean` | `delete()` Deletes this ContentEntry.
`long` | `getContentSize()` Gets the size of the content associated with this ContentEntry..
`Date` | `getCreationDate()` Gets the creation date of the content associated with this ContentEntry.
`ExtendedFileAccessPermissions` | `getExtendedFileAccessPermissions()` Gets the file permissions of this ContentEntry.
`MetadataNode` | `getMetadata()` Gets the metadata for this ContentEntry.
`String` | `getName()` Returns the name of this ContentEntry.
`ContentContainer` | `getParent()` Returns the `ContentContainer` this ContentEntry belongs to.
`ContentServer` | `getServer()` Gets the server where this ContentContainer is located.

Method Detail

### getName

    String getName()

  Returns the name of this ContentEntry.

  Returns:
    The name of content entry.

### getServer

    ContentServer getServer()

  Gets the server where this ContentContainer is located.

  Returns:
    The server housing this container.

### delete

    boolean delete()
                   throws IOException,
                          SecurityException

  Deletes this ContentEntry. This is a local delete only. If the #isLocal method returns true this method SHALL throw an exception.

  Returns:
    True if the ContentEntry was deleted, otherwise returns false.
  Throws:
    `SecurityException` - if the calling application does not have write ExtendedFileAccessPermission for this entry.
    `IOException` - if the entry is not local.

### getParent

    ContentContainer getParent()

  Returns the `ContentContainer` this ContentEntry belongs to.

  Returns:
    The parent ContentContainer.

### getContentSize

    long getContentSize()

  Gets the size of the content associated with this ContentEntry..

  Returns:
    The content size in bytes or -1 if unknown.

### getCreationDate

    Date getCreationDate()

  Gets the creation date of the content associated with this ContentEntry.

  Returns:
    The Date the content was created or null if unknown.

### getExtendedFileAccessPermissions

    ExtendedFileAccessPermissions getExtendedFileAccessPermissions()

  Gets the file permissions of this ContentEntry.

  Returns:
    The extended file access permissions of this ContentEntry

### getMetadata

    MetadataNode getMetadata()

  Gets the metadata for this ContentEntry.

  Returns:
    Root MetadataNode.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD